Subject: [Classpathx-crypto] GCJ build now support JUnit.

From: Olivier LF <[email-masked]>
Date: Sat, 6 Jul 2002 18:04:28 +1000

I have updated the GCJ build to support JUnit testing.

Basically configure supports an extra flag:

  --with-junit-jar=/path/to/junit.jar

If this flag is given, the generated makefiles will build the JUnit
test suite.

Note that you must have a native JUnit shared library build with GCJ as
well. I have put together instructions on how to do that at:

   http://www.zipworld.com.au/~olivier/gcj.html

However since I updated to the latest crypto sources I get:

tournesol:~/tmp/ccc$ source/junitTest 
Exception in thread "main" java.lang.InternalError: anubis-128
   at 0x40318a32: java.lang.Throwable.Throwable(java.lang.String) (/usr/local/gcc/lib/libgcj.so.3)
   at 0x40309866: java.lang.Error.Error(java.lang.String)
      (/usr/local/gcc/lib/libgcj.so.3)
   at 0x40319286: java.lang.VirtualMachineError.VirtualMachineError(java.lang.String) (/usr/local/gcc/lib/libgcj.so.3)   
   at 0x4030b436: java.lang.InternalError.InternalError(java.lang.String) (/usr/local/gcc/lib/libgcj.so.3)
   at 0x4003b25a: gnu.crypto.cipher.CipherFactory.getInstance(java.lang.String)(/home/olivier/tmp/ccc/source/.libs/lib-gnu-crypto.so.1)

It looks like Anubis cipher does not pass its selftest anymore? or is it
a new feature?

I'll investigate more.

I also have to try your GCJ patches Raif.

Oli

-- 
----------------------------------------------------------------------
Olivier Louchart-Fletcher
Email: [email-masked]
Phone (home) (61 2) 9798 0596